:root {
    --color-loading: rgba(0,0,0,.05);
}

.jfc-rating-master{
    width: 100%;
    /*display: flex;*/
    position: relative;
}

.jfc-rating-tilte {
    font-weight: bold;
    font-size: 120%;
    text-transform: uppercase;
    flex: 1;
    margin-top: .5rem;
    margin-bottom: .5rem;
    margin-left: 1rem;
    margin-right: 1rem;
}

.jfc-rating-line{
    margin-top: .5rem;
    margin-bottom: .5rem;
    margin-right: 5.5rem;
}


.jfc-rating-symbol {
    background-image: linear-gradient(90deg, var(--color-from) 0%, var(--color-to) 95%) !important;
    background-color: var(--color-albonet);
    color: white;
    width: 5rem;
    text-align: center;
    height: 5rem;
    position: absolute;
    right: 0;
    top: 0rem;
    padding: .25rem .8rem;
    border-radius: 2.5rem;
    z-index: 2;
}

    .jfc-rating-symbol.jfc-rating-loading {
        background-color: var(--color-loading);
        background-image: unset !important;
    }

    .jfc-rating-symbol-letter {
        font-size: 160%;
        font-weight: bold;
        margin-top: .5rem;
    }

.rating-symbol-description {
    font-size: 80%;
    overflow: hidden;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.jfc-rating-items{
    /*margin-top: 1rem;*/
    display: block;
    width: 100%;
}

.jfc-rating-year{
    font-weight: bold;
    background-color: var(--color-albonet);
    font-size: 110%;
    color: white;
    width: fit-content;
    padding: .25rem .7rem;
    border-radius: 1rem;
    cursor: default;
}

    .jfc-rating-year i{
        font-weight: normal;
        font-size: 70%;
        text-transform:uppercase;
        margin-right: .5rem;
    }

    .jfc-rating-row {
        margin-bottom: 1rem;
    }

.jfc-rating-row-items {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid var(--color-line-complate);
}
.jfc-rating-item {
    flex: content;
    margin-bottom: .5rem;
    margin-top: .5rem;
    margin-right: .5rem;
}

.jfc-rating-caption {
    font-size: 80%;
    color: var(--color-albonet);
    font-style: italic;
}
.jfc-rating-value div{
    display: inline-block;
}

.jfc-rating-value-note {
    position: relative;
}

.jfc-rating-value .jfc-input-div-btn{
    position: relative;
    right: unset;
    top: unset;
    
}

    .jfc-rating-value .jfc-input-div-btn button{
        width: fit-content;
    }

    .jfc-rating-value .jfc-input-div-btn button svg {
        height: unset;
    }


.jfc-rating-value-rating {
    margin-left: .5rem;
    background-color: rgba(0,0,0,.15);
    padding: .15rem .5rem;
    border-radius: 1rem;
    cursor: default;
    font-size: 90%;
}

.jfc-ritardo-no {
    color: var(--color-red);
    font-weight: bold;
}

.jfc-ritardo-ok {
    color: var(--color-dark-green);
    font-weight: bold;
}

.jfc-rating-link {
    margin-left: 1rem;
    text-transform: uppercase;
    font-size: 80%;
}

.jfc-rating-link a{
    color: var(--color-albonet);
}

.jfc-rating-loading .jfc-rating-year i{
    display: none;
}

.jfc-rating-loading .jfc-rating-year{
    background-color: var(--color-loading);
    height: 1.5rem;
    width: 4rem;
}

.jfc-rating-loading .jfc-rating-row-items {
    background-color: var(--color-loading);
    height: 4rem;
    width: 100%;
    margin: 1rem 0;
    border-bottom: none;
    border-radius: 1rem;
}
